/**
 * MIT License
 *
 * Copyright (c) [2022 - Present] Stɑrry Shivɑm
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */


package com.starry.greenstash.ui.navigation

import com.starry.greenstash.R

sealed class DrawerScreens(val route: String, val nameResId: Int, val iconResId: Int) {

    companion object {
        fun getAllItems() = listOf(Home, Archive, Backups, Settings)
    }

    data object Home : DrawerScreens("home", R.string.drawer_home, R.drawable.ic_nav_home)

    data object Archive :
        DrawerScreens("archive", R.string.drawer_archive, R.drawable.ic_nav_archive)

    data object Backups :
        DrawerScreens("backups", R.string.drawer_backup, R.drawable.ic_nav_backups)

    data object Settings :
        DrawerScreens("settings", R.string.drawer_settings, R.drawable.ic_nav_settings)
}


